This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 431272 - policy prevents udev from running hwclock correctly
policy prevents udev from running hwclock correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 290731
  Show dependency treegraph
 
Reported: 2008-02-01 16:50 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 23:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
policy patch (729 bytes, patch)
2008-02-01 16:50 EST, Bill Nottingham
no flags Details | Diff
*correct* patch (769 bytes, patch)
2008-02-01 16:51 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-02-01 16:50:32 EST
Description of problem:

Patch attached. This is needed so we can use udev to set the clock on clock
load, as opposed to hardcoding things in rc.sysinit and mkinitrd. (See bug 290731)

Version-Release number of selected component (if applicable):

3.2.5-25.fc9

How reproducible:

Every time

Steps to Reproduce:
1. Add a udev rule that runs hwclock
  
Actual results:

See a bunch of errors about udev_t not being able to do clock-related things.

Expected results:

udev_t automatically transitions to hwclock_t
Comment 1 Bill Nottingham 2008-02-01 16:50:33 EST
Created attachment 293766 [details]
policy patch
Comment 2 Bill Nottingham 2008-02-01 16:51:20 EST
Created attachment 293767 [details]
*correct* patch
Comment 3 Daniel Walsh 2008-02-01 23:57:10 EST
Fixed in 3.2.6-1.fc9

Note You need to log in before you can comment on or make changes to this bug.